Package org.linphone.core

# Interface EventListener

All Known Implementing Classes:
  `EventListenerStub`

public interface EventListener
An object to handle the callbacks for handling the LinphoneEvent operations.

## Method Summary

Modifier and Type
Method
Description
`void`
`onNotifyReceived(Event event, Content content)`
Callback used to notify the received to a NOTIFY.
`void`
`onNotifyResponse(Event event)`
Callback used to notify the response to a sent NOTIFY.
`void`
`onPublishReceived(Event event, Content content)`
Callback used to notify the received to a PUBLISH.
`void`
`onPublishStateChanged(Event event, PublishState state)`
PUBLISH state changed callback.
`void`
`onSubscribeReceived(Event event)`
Callback used to notify the received to a SUBSCRIBE.
`void`
`onSubscribeStateChanged(Event event, SubscriptionState state)`
SUBSCRIBE state changed callback.

## Method Details

### onNotifyResponse

void onNotifyResponse(Event event)
Callback used to notify the response to a sent NOTIFY.

Parameters:
  `event` - The `Event` object that has sent the NOTIFY and for which we
  received a response

### onNotifyReceived

void onNotifyReceived(Event event, Content content)
Callback used to notify the received to a NOTIFY.

Parameters:
  `event` - The LinphoneEvent object that receive the NOTIFY
  `content` - The LinphoneContent object that containe the body of the event

### onSubscribeReceived

void onSubscribeReceived(Event event)
Callback used to notify the received to a SUBSCRIBE.

Parameters:
  `event` - The LinphoneEvent object that receive the SUBSCRIBE

### onSubscribeStateChanged

void onSubscribeStateChanged(Event event, SubscriptionState state)
SUBSCRIBE state changed callback.

Parameters:
  `event` - The `Event` object that state changed
  `state` - The `SubscriptionState`

### onPublishReceived

void onPublishReceived(Event event, Content content)
Callback used to notify the received to a PUBLISH.

Parameters:
  `event` - The LinphoneEvent object that receives the PUBLISH
  `content` - The LinphoneContent object that contains the body of the event

### onPublishStateChanged

void onPublishStateChanged(Event event, PublishState state)
PUBLISH state changed callback.

Parameters:
  `event` - The LinphoneEvent object that state changed
  `state` - The LinphonePublishState